Get workflows
- Base URL
-
https://{kibana_url}
-
GET
/api/workflows
-
GET
/s/{space_id}/api/workflows
Auth
Retrieve a paginated list of workflows with optional filtering.
-
Privileges
workflowsManagement:read. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:read, workflowsManagement:readExecution, workflowsManagement:managed:readExecution
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
query
string · max length: 4096
-
Free-text search query.
-
size
number · min: 1 · max: 10000
-
Number of results per page.
-
page
number · min: 1
-
Page number.
-
enabled
boolean[] · max items: 2
-
Filter by enabled state.
-
createdBy
string[] · max items: 1000
-
Filter by creator.
-
tags
string[] · max items: 1000
-
Filter by tags.
-
managed
enum
-
Filter by managed status. Defaults to "unmanaged".
-
Values:
all
managed
unmanaged
-
visibilityContext
string[] · max items: 1000
-
When managed workflows are included, only return managed workflows visible in these contexts.
-
sortField
enum
-
Field to sort by.
-
Values:
name
enabled
-
sortOrder
enum
-
Sort direction.
-
Values:
asc
desc
200
Indicates a successful response
application/json
Thank you for your feedback.